Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.ui
Class DisplayUtilities

    java.lang.Object
      edu.stanford.smi.protege.ui.DisplayUtilities

    public class DisplayUtilities

extends Object

A bunch of generic utilities for popping up dialogs that allow the user to do something. Most of these methods all the user to pick "something" (a class, slot, instance).

Author:
  Ray Fergerson

Constructor Summary
`DisplayUtilities()`

Method Summary
`static String` | `editString(Component component, String label, Object startValue, Validator validator)`
`static boolean` | `hasMultipleConcreteClses(KnowledgeBase kb, Collection allowedClses)`
`static Cls` | `pickCls(Component component, Collection rootClses)` Deprecated. Use #pickCls(Component, KnowledgeBase, Collection)
`static Cls` | `pickCls(Component component, Collection rootClses, String label)` Deprecated. Use #pickCls(Component, KnowledgeBase, Collection, String)
`static Cls` | `pickCls(Component component, KnowledgeBase kb, Collection rootClses)`
`static Cls` | `pickCls(Component component, KnowledgeBase kb, Collection rootClses, String label)`
`static Collection` | `pickClses(Component component, Collection rootClses)` Deprecated. Use #pickClses(Component, KnowledgeBase, Collection)
`static Collection` | `pickClses(Component component, KnowledgeBase kb)`
`static Collection` | `pickClses(Component component, KnowledgeBase kb, Collection rootClses)`
`static Collection` | `pickClses(Component component, KnowledgeBase kb, Collection rootClses, String label)`
`static Collection` | `pickClses(Component component, KnowledgeBase kb, String label)`
`static Cls` | `pickConcreteCls(Component component, Collection allowedClses)` Deprecated. Use #pickConcreteCls(Component, KnowledgeBase kb, Collection)
`static Cls` | `pickConcreteCls(Component component, Collection allowedClses, String label)` Deprecated. Use #pickConcreteCls(Component, KnowledgeBase kb, Collection, String)
`static Cls` | `pickConcreteCls(Component component, KnowledgeBase kb, Collection allowedClses)`
`static Cls` | `pickConcreteCls(Component component, KnowledgeBase kb, Collection allowedClses, String label)`
`static Cls` | `pickConcreteCls(Component component, KnowledgeBase kb, String label)`
`static Cls` | `pickForm(Component component, Project project)`
`static Cls` | `pickForm(Component component, Project project, String label)`
`static Instance` | `pickInstance(Component component, Collection allowedClses)`
`static Instance` | `pickInstance(Component component, Collection allowedClses, String label)`
`static Instance` | `pickInstance(Component component, KnowledgeBase kb)`
`static Instance` | `pickInstanceFromCollection(Component component, Collection collection, int initialSelection, String label)`
`static Instance` | `pickInstanceFromCollection(Component component, Collection collection, int initialSelection, String label, ListCellRenderer cellRenderer)`
`static Collection` | `pickInstances(Component component, Collection allowedClses)` Deprecated. Use #pickInstance(Component, KnowledgeBase, Collection)
`static Collection` | `pickInstances(Component component, Collection allowedClses, String label)` deprecated Use #pickInstances(Component, KnowldgeBase, Collection, String)
`static Collection` | `pickInstances(Component component, KnowledgeBase kb, Collection allowedClses)`
`static Collection` | `pickInstances(Component component, KnowledgeBase kb, Collection allowedClses, String label)`
`static Collection` | `pickInstancesFromCollection(Component component, Collection instances, String label)`
`static Slot` | `pickSlot(Component component, Collection slots)`
`static Slot` | `pickSlot(Component component, Collection slots, String label)`
`static Collection` | `pickSlots(Component component, Collection slots)`
`static Collection` | `pickSlots(Component component, Collection slots, String label)`
`static Object` | `pickSymbol(Component component, String label, Object initialValue, Collection allowedValues)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DisplayUtilities

    public DisplayUtilities()

Method Detail

### editString

    public static String editString(Component component,
                                    String label,
                                    Object startValue,
                                    Validator validator)

### hasMultipleConcreteClses

    public static boolean hasMultipleConcreteClses(KnowledgeBase kb,
                                                   Collection allowedClses)

### pickCls

    public static Cls pickCls(Component component,
                              Collection rootClses)

  Deprecated. Use #pickCls(Component, KnowledgeBase, Collection)

### pickCls

    public static Cls pickCls(Component component,
                              KnowledgeBase kb,
                              Collection rootClses)

### pickCls

    public static Cls pickCls(Component component,
                              Collection rootClses,
                              String label)

  Deprecated. Use #pickCls(Component, KnowledgeBase, Collection, String)

### pickCls

    public static Cls pickCls(Component component,
                              KnowledgeBase kb,
                              Collection rootClses,
                              String label)

### pickClses

    public static Collection pickClses(Component component,
                                       KnowledgeBase kb)

### pickClses

    public static Collection pickClses(Component component,
                                       KnowledgeBase kb,
                                       String label)

### pickClses

    public static Collection pickClses(Component component,
                                       Collection rootClses)

  Deprecated. Use #pickClses(Component, KnowledgeBase, Collection)

### pickClses

    public static Collection pickClses(Component component,
                                       KnowledgeBase kb,
                                       Collection rootClses)

### pickClses

    public static Collection pickClses(Component component,
                                       KnowledgeBase kb,
                                       Collection rootClses,
                                       String label)

### pickConcreteCls

    public static Cls pickConcreteCls(Component component,
                                      KnowledgeBase kb,
                                      String label)

### pickConcreteCls

    public static Cls pickConcreteCls(Component component,
                                      Collection allowedClses)

  Deprecated. Use #pickConcreteCls(Component, KnowledgeBase kb, Collection)

### pickConcreteCls

    public static Cls pickConcreteCls(Component component,
                                      KnowledgeBase kb,
                                      Collection allowedClses)

### pickConcreteCls

    public static Cls pickConcreteCls(Component component,
                                      Collection allowedClses,
                                      String label)

  Deprecated. Use #pickConcreteCls(Component, KnowledgeBase kb, Collection, String)

### pickConcreteCls

    public static Cls pickConcreteCls(Component component,
                                      KnowledgeBase kb,
                                      Collection allowedClses,
                                      String label)

### pickForm

    public static Cls pickForm(Component component,
                               Project project)

### pickForm

    public static Cls pickForm(Component component,
                               Project project,
                               String label)

### pickInstance

    public static Instance pickInstance(Component component,
                                        KnowledgeBase kb)

### pickInstance

    public static Instance pickInstance(Component component,
                                        Collection allowedClses)

### pickInstance

    public static Instance pickInstance(Component component,
                                        Collection allowedClses,
                                        String label)

### pickInstanceFromCollection

    public static Instance pickInstanceFromCollection(Component component,
                                                      Collection collection,
                                                      int initialSelection,
                                                      String label)

### pickInstanceFromCollection

    public static Instance pickInstanceFromCollection(Component component,
                                                      Collection collection,
                                                      int initialSelection,
                                                      String label,
                                                      ListCellRenderer cellRenderer)

### pickInstances

    public static Collection pickInstances(Component component,
                                           Collection allowedClses)

  Deprecated. Use #pickInstance(Component, KnowledgeBase, Collection)

### pickInstances

    public static Collection pickInstances(Component component,
                                           KnowledgeBase kb,
                                           Collection allowedClses)

### pickInstances

    public static Collection pickInstances(Component component,
                                           Collection allowedClses,
                                           String label)

  deprecated Use #pickInstances(Component, KnowldgeBase, Collection, String)

### pickInstances

    public static Collection pickInstances(Component component,
                                           KnowledgeBase kb,
                                           Collection allowedClses,
                                           String label)

### pickInstancesFromCollection

    public static Collection pickInstancesFromCollection(Component component,
                                                         Collection instances,
                                                         String label)

### pickSlot

    public static Slot pickSlot(Component component,
                                Collection slots)

### pickSlot

    public static Slot pickSlot(Component component,
                                Collection slots,
                                String label)

### pickSlots

    public static Collection pickSlots(Component component,
                                       Collection slots)

### pickSlots

    public static Collection pickSlots(Component component,
                                       Collection slots,
                                       String label)

### pickSymbol

    public static Object pickSymbol(Component component,
                                    String label,
                                    Object initialValue,
                                    Collection allowedValues)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.